package uoc.tfc.entities;

/**
 * Entity for storing a take item (product, quantity and datetime of take).
 * 
 * @author omnizeus
 *
 */
public class TakeItem {

	/**
	 * Attributes.
	 */
	private long id;
	private String date;
	private int toma;
	private String product;
	private int quantity;
	private int status;
	
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public int getToma() {
		return toma;
	}
	public void setToma(int toma) {
		this.toma = toma;
	}
	public String getProduct() {
		return product;
	}
	public void setProduct(String product) {
		this.product = product;
	}
	public int getQuantity() {
		return quantity;
	}
	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	
	/**
	 * Constructor.
	 * 
	 * @param id
	 * @param date
	 * @param toma
	 * @param product
	 * @param quantity
	 * @param status
	 */
	public TakeItem(long id, String date, int toma, String product,
			int quantity, int status) {
		this.id = id;
		this.date = date;
		this.toma = toma;
		this.product = product;
		this.quantity = quantity;
		this.status = status;
	}

}
