package uoc.tfc.clientbs;

import java.util.ArrayList;
import java.util.Iterator;

import org.apache.http.client.CookieStore;
import org.apache.http.client.protocol.ClientContext;
import org.apache.http.impl.client.BasicCookieStore;
import org.apache.http.protocol.BasicHttpContext;
import org.apache.http.protocol.HttpContext;

import uoc.tfc.database.Database;
import uoc.tfc.entities.TakeItem;
import android.app.Application;
import android.database.Cursor;
import android.util.Log;

/**
 * Global class for global App visibility.
 * Unfinished (the elements will be moved here in later phases).
 * 
 * @author omnizeus
 *
 */
public class Global extends Application {

	//Apache CookieStore (session management)
	private static CookieStore cookieStore = null;
	private static HttpContext httpContext = null;
	
	// Database element.
	//private Database db;

	//private ArrayList<TakeItem> currentTakeList;

	/*
	public ArrayList<TakeItem> getCurrentTakeList() {
		return currentTakeList;
	}

	public void setCurrentTakeList(ArrayList<TakeItem> currentTakeList) {
		this.currentTakeList = currentTakeList;
	}
	*/

	/*
	public Database getDb() {
		return db;
	}

	public void setDb(Database db) {
		this.db = db;
	}
	*/
	
	public static CookieStore getCookieStore() {
		return cookieStore;
	}

	public static HttpContext getHttpContext() {
		return httpContext;
	}

	/**
	 * On create event.
	 */
	@Override
	public void onCreate() {
		super.onCreate();
		String whereami = ":onCreate";
		try {
	    	cookieStore = new BasicCookieStore();
	    	httpContext = new BasicHttpContext();
	    	httpContext.setAttribute(ClientContext.COOKIE_STORE, cookieStore);
	    	
	    	//db = new Database(getApplicationContext());
	    	
		} catch (Exception e) {
			Log.e(this.getClass().getName() + whereami, "Exception", e);
		}
		
	}

	
	


}
