package uoc.tfc.entities;

/**
 * Entity for storing a horary entry (alarms with labels and hour/minute.
 * 
 * @author omnizeus
 *
 */
public class HoraryEntry {

	/**
	 * Attributes.
	 */
	private int toma;
	private String label;
	private int hour;
	private int minute;

	public int getToma() {
		return toma;
	}

	public void setToma(int toma) {
		this.toma = toma;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public int getHour() {
		return hour;
	}

	public void setHour(int hour) {
		this.hour = hour;
	}

	public int getMinute() {
		return minute;
	}

	public void setMinute(int minute) {
		this.minute = minute;
	}

	/**
	 * Constructor.
	 * 
	 * @param toma
	 * @param label
	 * @param hour
	 * @param minute
	 */
	public HoraryEntry(int toma, String label, int hour, int minute) {
		this.toma = toma;
		this.label = label;
		this.hour = hour;
		this.minute = minute;
	}

}
